com.tibbo.aggregate.common.expression.parser

## Class NodeEvaluationDetails

- java.lang.Object
- - com.tibbo.aggregate.common.expression.parser.NodeEvaluationDetails

-     public class NodeEvaluationDetails
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeEvaluationDetails()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(NodeEvaluationDetails child)`
    `java.util.List<NodeEvaluationDetails>` | `getChildren()`
    `java.lang.String` | `getNodeImage()`
    `AttributedObject` | `getNodeResult()`
    `void` | `setChildren(java.util.List<NodeEvaluationDetails> children)`
    `void` | `setNodeImage(java.lang.String nodeImage)`
    `void` | `setNodeResult(AttributedObject nodeResult)`
    `DataRecord` | `toDataRecord()`
    `DataTable` | `toDataTable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORMAT

          public static TableFormat FORMAT

  - ### Constructor Detail

    - #### NodeEvaluationDetails

          public NodeEvaluationDetails()

  - ### Method Detail

    - #### getNodeImage

          public java.lang.String getNodeImage()

    - #### setNodeImage

          public void setNodeImage(java.lang.String nodeImage)

    - #### getNodeResult

          public AttributedObject getNodeResult()

    - #### setNodeResult

          public void setNodeResult(AttributedObject nodeResult)

    - #### getChildren

          public java.util.List<NodeEvaluationDetails> getChildren()

    - #### setChildren

          public void setChildren(java.util.List<NodeEvaluationDetails> children)

    - #### addChild

          public void addChild(NodeEvaluationDetails child)

    - #### toDataTable

          public DataTable toDataTable()

    - #### toDataRecord

          public DataRecord toDataRecord()